Bug 989015 - (makeself) Review Request: makeself - Make self-extractable archives on Unix
Review Request: makeself - Make self-extractable archives on Unix
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 954107
  Show dependency treegraph
 
Reported: 2013-07-26 18:04 EDT by Dridi Boukelmoune
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: makeself-2.2.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 19:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dridi Boukelmoune 2013-07-26 18:04:03 EDT
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself-2.2.0-1.fc19.src.rpm

Description:
makeself.sh is a shell script that generates a self-extractable
tar.gz archive from a directory. The resulting file appears as a shell
script, and can be launched as is. The archive will then uncompress
itself to a temporary directory and an arbitrary command will be
executed (for example an installation script). This is pretty similar
to archives generated with WinZip Self-Extractor in the Windows world.

Fedora Account System Username: dridi

I'm duplicating another issue because I'm not sure anyone was notified for my comments in the original (#954107).
Comment 1 Christopher Meng 2013-07-31 00:47:05 EDT
Whooo....Bitbucket is blocked in China...

1. When will you stop replacing the copying file? That means, when will upstream fix the license issue?

2. Remove rm -fr %{buildroot}

3. You don't need to specify the perms of

%attr(644, -, -) %{_libexecdir}/*
%attr(755, -, -) %{_bindir}/*

You should install them with -m option and 755/644 as you want. But, you use cp to install, so I hope you can change or modify to the correct way.

No matter install or cp, please don't forget adding -p to preserve the timestamp.
Comment 2 Dridi Boukelmoune 2013-07-31 01:51:33 EDT
> 1. When will you stop replacing the copying file? That means, when will
> upstream fix the license issue?
 
Already done in the master branch:
https://github.com/megastep/makeself/issues/22

Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself-2.2.0-1.fc19.src.rpm
Comment 3 Christopher Meng 2013-07-31 02:05:12 EDT
Oh...

You forgot to bump the release number, each time you've fixed some problems you should bump it from n to n+1.
Comment 4 Dridi Boukelmoune 2013-07-31 02:31:19 EDT
I thought it wouldn't matter for a package that hasn't been published yet.

Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/makeself-2.2.0-2.fc19.src.rpm

Updated!
Comment 5 Christopher Meng 2013-07-31 02:35:12 EDT
Your SRPM name doesn't match the spec name, m-akeself? makeself?
Comment 6 Dridi Boukelmoune 2013-07-31 03:24:23 EDT
I don't understand, I have this:

$ curl -L https://bitbucket.org/dridi/fedora_packages/downloads/makeself-2.2.0-2.fc19.src.rpm 2>/dev/null | rpm -qpi -
Name        : makeself
Version     : 2.2.0
Release     : 2.fc19
Architecture: noarch
[...]
Comment 7 Christopher Meng 2013-07-31 03:39:31 EDT
Well, the source downloaded from URL via browser will be renamed to m-akeselfxxx...Something wrong with bb itself.

But if I use wget -N or curl, because bitbucket is blocked in China, I can't continue...

Never mind I changed the SRPM name so it can match the name now.

Package is good.

APPROVED.
Comment 8 Kevin Fenzi 2013-08-20 15:14:50 EDT
Hey Christopher, I see that you are not a sponsor and Dridi needs a sponsor for this initial package. 

I'll go ahead and look things over and look at sponsoring Dridi here soon.
Comment 9 Kevin Fenzi 2013-08-20 16:14:19 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
8075530b2ad0a2fbd4bffa80a96eb2ea  release-2.2.0.tar.gz
8075530b2ad0a2fbd4bffa80a96eb2ea  release-2.2.0.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

makeself.noarch: W: spelling-error Summary(en_US) extractable -> ex tractable, ex-tractable, extract able
makeself.noarch: W: spelling-error %description -l en_US extractable -> ex tractable, ex-tractable, extract able
makeself.noarch: W: spelling-error %description -l en_US gz -> g, z, gs
makeself.noarch: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
makeself.src: W: spelling-error Summary(en_US) extractable -> ex tractable, ex-tractable, extract able
makeself.src: W: spelling-error %description -l en_US extractable -> ex tractable, ex-tractable, extract able
makeself.src: W: spelling-error %description -l en_US gz -> g, z, gs
makeself.src: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

all can be ignored. 

This is a pretty simple package. ;) 

I don't see any further issues, so this package is APPROVED and I will sponsor you. 

You can continue the process from: 

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Please let me know if you have any questions or get stuck anywhere. ;) 

Welcome!
Comment 10 Christopher Meng 2013-08-20 21:34:11 EDT
Thanks, Kevin. I forgot to reset.

Dridi is a nice guy.
Comment 11 Dridi Boukelmoune 2013-08-22 08:58:52 EDT
New Package SCM Request
=======================
Package Name: makeself
Short Description: Make self-extractable archives on Unix
Owners: dridi
Branches: f18 f19
InitialCC:
Comment 12 Dridi Boukelmoune 2013-08-22 09:05:33 EDT
Thank you both, I'll try to continue the process next weekend. After a quick peep in the link it doesn't look to complicated.
Comment 13 Jon Ciesla 2013-08-22 09:32:31 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-08-23 16:44:14 EDT
makeself-2.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/makeself-2.2.0-2.fc19
Comment 15 Dridi Boukelmoune 2013-08-24 05:52:45 EDT
I got stuck at one point, I couldn't push the repository cloned by fedpkg:
///
$ git push
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
///

This happened only when I tried to push, cloning and fetching were ok:
///
$ git fetch -v
From git://pkgs.fedoraproject.org/makeself
 = [up to date]      f18        -> origin/f18
 = [up to date]      f19        -> origin/f19
 = [up to date]      f20        -> origin/f20
 = [up to date]      master     -> origin/master
///

I've tried to add myself as a committer there:
https://admin.fedoraproject.org/pkgdb/acls/name/makeself

Then I noticed that git never asked for my ssh key passphrase, so I changed the remote repository to use ssh:
///
[remote "origin"]
	url = ssh://pkgs.fedoraproject.org/makeself.git
	fetch = +refs/heads/*:refs/remotes/origin/*
///

And then it worked:
///
$ git push
Enter passphrase for key '/path/to/my/fedora/rsa_key':
///

I'm documenting this here to then open an issue for fedpkg or start a thread on the mailing list. This might also be related to bug 958395 I solved with the workaround from Dan Horák.

I'm currently waiting for the first package update to be pushed to the testing repos.

So far so good.
Comment 16 Kevin Fenzi 2013-08-24 11:41:38 EDT
Did you do a fedpkg clone -a ? (That would be an anonymous checkout and use git://)
Comment 17 Fedora Update System 2013-08-24 18:24:45 EDT
makeself-2.2.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 18 Dridi Boukelmoune 2013-08-25 10:40:11 EDT
Yes I've cloned with -a, and I can see in the fedpkg man (line 267) that -a and --anonymous are equivalent.

This explains why I couldn't push.
Comment 19 Fedora Update System 2013-09-01 19:06:46 EDT
makeself-2.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 20 Fedora Update System 2013-09-03 00:48:18 EDT
makeself-2.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/makeself-2.2.0-2.fc18
Comment 21 Fedora Update System 2013-09-11 21:56:05 EDT
makeself-2.2.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.